groovy.util

## Class ObservableMap.PropertyEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableMap.PropertyEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ObservableMap.MultiPropertyEvent, ObservableMap.PropertyAddedEvent, ObservableMap.PropertyClearedEvent, ObservableMap.PropertyRemovedEvent, ObservableMap.PropertyUpdatedEvent
  Enclosing class:
    ObservableMap

      public abstract static class ObservableMap.PropertyEvent
      extends PropertyChangeEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDED`
    `static int` | `CLEARED`
    `static int` | `MULTI`
    `protected static Object` | `NEWVALUE`
    `protected static Object` | `OLDVALUE`
    `static int` | `REMOVED`
    `static int` | `UPDATED`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableMap.PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, int type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `String` | `getTypeAsString()`

    - ### Methods inherited from class java.beans.PropertyChangeEvent

      `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ADDED

          public static final int ADDED

      See Also:
        Constant Field Values

    - #### UPDATED

          public static final int UPDATED

      See Also:
        Constant Field Values

    - #### REMOVED

          public static final int REMOVED

      See Also:
        Constant Field Values

    - #### CLEARED

          public static final int CLEARED

      See Also:
        Constant Field Values

    - #### MULTI

          public static final int MULTI

      See Also:
        Constant Field Values

    - #### OLDVALUE

          protected static final Object OLDVALUE

    - #### NEWVALUE

          protected static final Object NEWVALUE

  - ### Constructor Detail

    - #### ObservableMap.PropertyEvent

          public ObservableMap.PropertyEvent(Object source,
                                     String propertyName,
                                     Object oldValue,
                                     Object newValue,
                                     int type)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getTypeAsString

          public String getTypeAsString()